summaryrefslogtreecommitdiff
path: root/custom/overlay/etc
diff options
context:
space:
mode:
Diffstat (limited to 'custom/overlay/etc')
-rwxr-xr-xcustom/overlay/etc/init.d/S49-dropbear-prep34
1 files changed, 34 insertions, 0 deletions
diff --git a/custom/overlay/etc/init.d/S49-dropbear-prep b/custom/overlay/etc/init.d/S49-dropbear-prep
new file mode 100755
index 0000000..33bad8f
--- /dev/null
+++ b/custom/overlay/etc/init.d/S49-dropbear-prep
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# Prepares dropbear (external keys).
+# Assumes there's a third partition (test for it).
+# Assume partition is formatted (however you want).
+#
+# TODO:
+# Actually create the dropbear symlink if keys already
+# exist in /data/dropbear/
+#
+
+
+start() {
+ if ! [[ -e /data/ ]] ; then
+ mkdir /data/
+ fi
+
+ if test -e /dev/mmcblk0p3 && ! grep -sq mmcblk0p3 /proc/mounts ; then
+ mount /dev/mmcblk0p3 /data/
+ fi
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop|restart|reload)
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit 0